Name:           perl-Text-Format
Version:        0.62
Release:    2%{?dist}
Summary:        Various subroutines to format text

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Format
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/Text-Format-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp)
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More) >= 0.88



%description
The format routine will format under all circumstances even if the width isn't
enough to contain the longest words. Text::Wrap will die under these
circumstances, although I am told this is fixed. If columns is set to a small
number and words are longer than that and the leading 'whitespace' than there
will be a single word on each line. This will let you make a simple word list
which could be indented or right aligned. There is a chance for croaking if you
try to subvert the module. If you don't pass in text then the internal text is
worked on, though not modified. Text::Format is meant for more powerful text
formatting than Text::Wrap allows.


%prep
%setup -q -n Text-Format-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.62-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.62-1
- initial build
